/*
 *  Script configuration
 */

Importer.include("build.js");

function readConf()
{
  var conf = 
  {
    version:
    {
      major:0,
      minor:2,
      build:gBuild,
      tagline:"Baffling Bulldog",
    },
    amarok:
    {
      // Fast forward in a track, in seconds
      fastForward:10,
      fastBackward: 10,
    },
    server:
    {
      // Port used by the Freebox
      port: 8080,
      // Directory of the HTML templates. You can play with them to customize the Freeboks appearance.
      htmlDir: "/html",
      imgDir: "/img",
      // Directory used for logging debug information
      logDir: "/log",
      logFile: "log.txt",
    },
    player:
    {
      // Speed of scrolling on Freebox LED display
      scrollingSpeed: 2,
    },
    collection:
    {
      // Number of items in a list
      itemNb: 10,
      // Number of items in a graphical list
      gItemNb: 3,
      // Number of items in a track list
      trackNb: 7,
    },
    debug:
    {
      // Simple debug messages (caution: verbose)
      d:0,
      // Warning messages
      w:1,
      // Error messages
      e:1,
    }
  };
  return conf;
}

